/* 當你想為某一個區塊或方塊，增加背景，請在該區塊/方塊上增加class名稱
例如：

在HTML裡：
<div class="abc">我要增加背景</div> 

在css裡：
.abc{
    background-image: url(../images/body_bg.webp);  <------圖檔位置
    background-position: center; <-----圖片在區塊/方塊裡的定位
    background-size: cover;  <-----圖片在區塊/方塊裡的大小
}

 */

/* 補充 
    學習資料
    https://ithelp.ithome.com.tw/articles/10223887
    https://ithelp.ithome.com.tw/articles/10224214
*/



/* 全站背景 */
body {
    background-image: url(../images/bg.jpg);
    background-size: cover;
}

main {
    background-image: url(../images/image.png);
    background-size: 2400px;
    background-repeat: repeat;
    background-position: top center;
}


/* 按鈕顏色 */
.btnset a {
    color: #CA9F37;
    border: 3px solid #BE0602;
    background-color: #fff;
    box-shadow: 3px 5px #880f0f;
    line-height: 1.2;
}

/*來去逛逛*/

.btnset a:hover {
    /*    color: rgb(44, 40, 1);*/
    color: #fff;
    border: 3px solid #ffd392;
    background-color: #CA141D;
    box-shadow: 3px 5px #8d6e40;
}

/*來去逛逛滑鼠移入*/

.nocarslideinnBox01 {
    background-color: #084B7D;
    padding: 10px;
}

/* 原價特價折疊控制 打開變1列 關掉變2列 */
.productSetprice .priceBox {
    flex-direction: row !important;
}

/* logo區圖片大小控制 */
.logooutbox .logoinn {
    flex-basis: 11%;
}

.swiperCover .swiper-slide-next,
.swiperCover .swiper-slide-last {
    opacity: .5;
}

/* .swiper-container-3d .swiper-slide-shadow-left, .swiper-container-3d .swiper-slide-shadow-right{
    background-image: none;
} */

/* 其他東西自己寫這↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓ */


.squarepppinfoinn-box.pppinfobox {
    background: #075F9E;
    text-decoration: none;
    color: #fff;
}

/* all */
@media screen and (max-width: 767px) {
    .dMdNone {
        display: none;
    }
}

.greytext {
    text-decoration: line-through;
    font-size: 1rem;
}

@media screen and (max-width: 991px) {
    .productSetprice .priceBox {
        flex-direction: column !important;
    }
}

/* KV */
#kvTopBN {
    background-image: url(../images/kv-bg.png);
    background-size: cover;
    background-position: top center;
}

@media screen and (max-width: 767px) {
    #kvTopBN {
        background-image: url(../images/kv-bg-mb.png);
    }
}

/* sec04 */
.sec04-bg {
    background-image: url(../images/sec04-bg.png);
    background-size: cover;
}

/* method */
section#method a {
    background-color: red;
    color: white;
}

section#method a:hover {
    background-color: white;
    color: red;
}

/* 斷點區 */

@media screen and (max-width: 1659px) {}

@media screen and (max-width: 1399px) {}

@media screen and (max-width: 1199px) {}

@media screen and (max-width: 991px) {}

@media screen and (max-width: 767px) {
    .actablebox {
        font-size: 14px;
    }

    .actablebox th.table-title {
        font-size: 1.2rem;
    }
}

@media screen and (max-width: 640px) {
    .logooutbox .logoinn {
        flex-basis: 24%;
    }
}

@media screen and (max-width: 480px) {}


/* 閃光 */
@keyframes flashLight2 {
    0% {
        filter: brightness(1);
    }

    18% {
        filter: brightness(1);
    }

    19% {
        filter: brightness(2);
    }

    20% {
        filter: brightness(1);
    }

    21% {
        filter: brightness(2);
    }

    22% {
        filter: brightness(1);
    }

    50% {
        filter: brightness(1);
    }

    51% {
        filter: brightness(2);
    }

    52% {
        filter: brightness(1);
    }

    53% {
        filter: brightness(2);
    }

    54% {
        filter: brightness(1);
    }

    78% {
        filter: brightness(1);
    }

    80% {
        filter: brightness(2);
    }

    82% {
        filter: brightness(1);
    }

    99% {
        filter: brightness(1);
    }

}

.flashLight {
    /* mix-blend-mode: hard-light; */
    animation: flashLight2 8s infinite ease-in-out;
}